> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocoya.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get social connection URL

> Returns a browser URL that starts connecting a social network to a workspace. Open the returned URL while signed in to Ocoya to approve OAuth and select profiles.



## OpenAPI

````yaml /openapi.yaml get /social-profiles/connection-url
openapi: 3.1.0
info:
  version: 1.1.0
  title: Ocoya API
  description: REST API reference for Ocoya.
servers:
  - url: https://app.ocoya.com/api/_public/v1
security:
  - ApiKeyAuth: []
paths:
  /social-profiles/connection-url:
    get:
      summary: Get social connection URL
      description: >-
        Returns a browser URL that starts connecting a social network to a
        workspace. Open the returned URL while signed in to Ocoya to approve
        OAuth and select profiles.
      parameters:
        - in: query
          name: workspaceId
          required: true
          description: Ocoya workspace ID. Get one from `GET /workspaces`.
          schema:
            type: string
            example: cmayvq3hk00017apshay5qezu
        - in: query
          name: provider
          required: true
          description: Social network used for the connection flow.
          schema:
            type: string
            enum:
              - facebook
              - instagram
              - twitter
              - linkedin
              - pinterest
              - tiktok
            example: instagram
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider:
                    type: string
                    description: Social network used for the connection flow.
                    example: instagram
                  authProvider:
                    type: string
                    description: >-
                      OAuth provider Ocoya will use to start the connection
                      flow.
                    example: facebook
                  authUrl:
                    type: string
                    description: >-
                      Browser URL to open while signed in to Ocoya to start the
                      connection flow.
                    example: >-
                      https://app.ocoya.com/api/mcp/social-connect/start?provider=instagram&workspaceId=cmayvq3hk00017apshay5qezu
                  callbackUrl:
                    type: string
                    description: >-
                      Ocoya page the browser returns to after social network
                      authorization.
                    example: >-
                      https://app.ocoya.com/smm/integrations/select?provider=instagram
                  instructions:
                    type: string
                    description: >-
                      Short instructions for completing the browser-based
                      connection.
        '400':
          description: Unsupported provider
        '500':
          description: Unknown error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````